/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */


using Xunit;

using System;
using System.Linq;
using System.IO;
using System.Collections.Generic;
using Coscine.ApiClient.Core.Model;
using Coscine.ApiClient.Core.Client;
using System.Reflection;
using Newtonsoft.Json;

namespace Coscine.ApiClient.Core.Test.Model
{
    /// <summary>
    ///  Class for testing GitlabBranchDto
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by OpenAPI Generator (https://openapi-generator.tech).
    /// Please update the test case below to test the model.
    /// </remarks>
    public class GitlabBranchDtoTests : IDisposable
    {
        // TODO uncomment below to declare an instance variable for GitlabBranchDto
        //private GitlabBranchDto instance;

        public GitlabBranchDtoTests()
        {
            // TODO uncomment below to create an instance of GitlabBranchDto
            //instance = new GitlabBranchDto();
        }

        public void Dispose()
        {
            // Cleanup when everything is done.
        }

        /// <summary>
        /// Test an instance of GitlabBranchDto
        /// </summary>
        [Fact]
        public void GitlabBranchDtoInstanceTest()
        {
            // TODO uncomment below to test "IsType" GitlabBranchDto
            //Assert.IsType<GitlabBranchDto>(instance);
        }

        /// <summary>
        /// Test the property 'Name'
        /// </summary>
        [Fact]
        public void NameTest()
        {
            // TODO unit test for the property 'Name'
        }

        /// <summary>
        /// Test the property 'Merged'
        /// </summary>
        [Fact]
        public void MergedTest()
        {
            // TODO unit test for the property 'Merged'
        }

        /// <summary>
        /// Test the property 'Protected'
        /// </summary>
        [Fact]
        public void ProtectedTest()
        {
            // TODO unit test for the property 'Protected'
        }

        /// <summary>
        /// Test the property 'Default'
        /// </summary>
        [Fact]
        public void DefaultTest()
        {
            // TODO unit test for the property 'Default'
        }

        /// <summary>
        /// Test the property 'DevelopersCanPush'
        /// </summary>
        [Fact]
        public void DevelopersCanPushTest()
        {
            // TODO unit test for the property 'DevelopersCanPush'
        }

        /// <summary>
        /// Test the property 'DevelopersCanMerge'
        /// </summary>
        [Fact]
        public void DevelopersCanMergeTest()
        {
            // TODO unit test for the property 'DevelopersCanMerge'
        }

        /// <summary>
        /// Test the property 'CanPush'
        /// </summary>
        [Fact]
        public void CanPushTest()
        {
            // TODO unit test for the property 'CanPush'
        }
    }
}
